com.license4j

## Enum ActivationStatus

- java.lang.Object
- - java.lang.Enum<ActivationStatus>
  - - com.license4j.ActivationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActivationStatus>

      public enum ActivationStatus
      extends java.lang.Enum<ActivationStatus>

  Activation status information.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVATION_COMPLETED` Activation successfully completed.
    `ACTIVATION_HARDWAREID_ERROR` Activation Hardware ID error.
    `ACTIVATION_NOT_FOUND_ON_SERVER` Activation not found on server, used for license deactivation.
    `ACTIVATION_NOT_REQUIRED` Activation NOT required.
    `ACTIVATION_REJECTED_FEATURE_DISABLED` Activation rejected due to disabled activations.
    `ACTIVATION_REJECTED_IP_BLOCK_RESTRICTION` Activation rejected due to IP block restriction.
    `ACTIVATION_REQUIRED` Activation required.
    `ACTIVATION_SERVER_CONNECTION_ERROR` Client can not connect to activation server.
    `ALREADY_ACTIVATED_ON_ANOTHER_COMPUTER` License already activated on another computer.
    `DEACTIVATION_COMPLETED` Deactivation completed.
    `DEACTIVATION_REJECTED_FEATURE_DISABLED` Deactivation rejected due to disabled deactivation.
    `LICENSE_NOT_FOUND_ON_ACTIVATION_SERVER` Given license can not be found on Online.License4J server, license was removed.
    `MULTIPLE_ACTIVATION_LIMIT_REACHED` License has multiple activations defined, and activation limit is reached.
    `MULTIPLE_DEACTIVATION_LIMIT_REACHED` License has multiple deactivation defined, and deactivation limit is reached.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActivationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActivationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVATION_SERVER_CONNECTION_ERROR

          public static final ActivationStatus ACTIVATION_SERVER_CONNECTION_ERROR

      Client can not connect to activation server.

    - #### LICENSE_NOT_FOUND_ON_ACTIVATION_SERVER

          public static final ActivationStatus LICENSE_NOT_FOUND_ON_ACTIVATION_SERVER

      Given license can not be found on Online.License4J server, license was removed.

    - #### ALREADY_ACTIVATED_ON_ANOTHER_COMPUTER

          public static final ActivationStatus ALREADY_ACTIVATED_ON_ANOTHER_COMPUTER

      License already activated on another computer.

    - #### MULTIPLE_ACTIVATION_LIMIT_REACHED

          public static final ActivationStatus MULTIPLE_ACTIVATION_LIMIT_REACHED

      License has multiple activations defined, and activation limit is reached.

    - #### ACTIVATION_COMPLETED

          public static final ActivationStatus ACTIVATION_COMPLETED

      Activation successfully completed.

    - #### ACTIVATION_REQUIRED

          public static final ActivationStatus ACTIVATION_REQUIRED

      Activation required.

    - #### ACTIVATION_NOT_REQUIRED

          public static final ActivationStatus ACTIVATION_NOT_REQUIRED

      Activation NOT required.

    - #### ACTIVATION_HARDWAREID_ERROR

          public static final ActivationStatus ACTIVATION_HARDWAREID_ERROR

      Activation Hardware ID error.

    - #### ACTIVATION_REJECTED_IP_BLOCK_RESTRICTION

          public static final ActivationStatus ACTIVATION_REJECTED_IP_BLOCK_RESTRICTION

      Activation rejected due to IP block restriction.

    - #### ACTIVATION_REJECTED_FEATURE_DISABLED

          public static final ActivationStatus ACTIVATION_REJECTED_FEATURE_DISABLED

      Activation rejected due to disabled activations.

    - #### ACTIVATION_NOT_FOUND_ON_SERVER

          public static final ActivationStatus ACTIVATION_NOT_FOUND_ON_SERVER

      Activation not found on server, used for license deactivation.

    - #### DEACTIVATION_REJECTED_FEATURE_DISABLED

          public static final ActivationStatus DEACTIVATION_REJECTED_FEATURE_DISABLED

      Deactivation rejected due to disabled deactivation.

    - #### DEACTIVATION_COMPLETED

          public static final ActivationStatus DEACTIVATION_COMPLETED

      Deactivation completed.

    - #### MULTIPLE_DEACTIVATION_LIMIT_REACHED

          public static final ActivationStatus MULTIPLE_DEACTIVATION_LIMIT_REACHED

      License has multiple deactivation defined, and deactivation limit is reached.

  - ### Method Detail

    - #### values

          public static ActivationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActivationStatus c : ActivationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActivationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null